package com.xhpc.common.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;


/**
 * @author
 * @description 退款订单 xhpc_refund_order
 * @date 2021-07-22
 */
public class XhpcRefundOrder extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 退款订单id
     */
    private Long refundOrderId;

    /**
     * 退款订单编号
     */
    private String refundOrderNumber;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 微信用户openid
     */
    private String openId;

    /**
     * 支付宝用户AlipayId
     */
    private String alipayId;

    /**
     * 充值金额
     */
    private BigDecimal amount;

    /**
     * 退款渠道（1微信 2支付宝 3平台）
     */
    private Integer type;

    /**
     * 审核状态（0审核中 1审核通过，2审核失败）
     */
    private Integer examineStatus;

    /**
     * 状态（0退款中 1退款成功，2退款失败，3取消订单）
     */
    private Integer status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    /**
     * 订单来源（0 C端用户 1 流量方用户 2社区用户 3B端用户）
     */
    private Integer source;

    /**
     * 微信付款单号
     */
    private String paymentNo;
    /**
     * 微信付款成功时间
     */
    private String paymentTime;
    /**
     * 支付宝-该笔转账在支付宝系统内部的单据ID
     */
    private String orderId;
    /**
     * 支付宝-支付宝支付资金流水号
     */
    private String payFundOrderId;
    /**
     * 支付宝-订单支付时间
     */
    private String transPayTime;

    public Long getRefundOrderId() {
        return refundOrderId;
    }

    public void setRefundOrderId(Long refundOrderId) {
        this.refundOrderId = refundOrderId;
    }

    public String getRefundOrderNumber() {
        return refundOrderNumber;
    }

    public void setRefundOrderNumber(String refundOrderNumber) {
        this.refundOrderNumber = refundOrderNumber;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getAlipayId() {
        return alipayId;
    }

    public void setAlipayId(String alipayId) {
        this.alipayId = alipayId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getExamineStatus() {
        return examineStatus;
    }

    public void setExamineStatus(Integer examineStatus) {
        this.examineStatus = examineStatus;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public String getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(String paymentTime) {
        this.paymentTime = paymentTime;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPayFundOrderId() {
        return payFundOrderId;
    }

    public void setPayFundOrderId(String payFundOrderId) {
        this.payFundOrderId = payFundOrderId;
    }

    public String getTransPayTime() {
        return transPayTime;
    }

    public void setTransPayTime(String transPayTime) {
        this.transPayTime = transPayTime;
    }
}
